---
editUrl: false
next: false
prev: false
title: "Initializable"
---

> **Initializable**\<`T`\>: `T`

Type to annotate that something is initializable. 
If T has an init method, this will be called.

## Type parameters

• **T** *extends* [`Init`](/v3/api/interfaces/init/)

## Source

[src/types/ioc.ts:17](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/ioc.ts#L17)
